package ca.mcgill.sel.aspectoptima.aspects.transaction;

import ca.mcgill.sel.aspectoptima.aspects.recovering.RecoveringParticipantCheckpointing;
import ca.mcgill.sel.aspectoptima.aspects.twophaselocking.TwoPhaseLockingParticipant;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;

public interface TransactionParticipantCheckpointingTwoPhaseLocking extends TransactionParticipant, RecoveringParticipantCheckpointing, TwoPhaseLockingParticipant {
	// public method signatures from structural view
	// empty
}

aspect TransactionParticipantCheckpointingTwoPhaseLockingAspect {
	// bind annotations to mandatory instantiation parameters
	declare parents : @TransactionParticipantClass(updateStrategy = UpdateStrategy.CHECKPOINTING, concurrencyControl = ConcurrencyControl.TWOPHASELOCKING, nested = false) * implements TransactionParticipantCheckpointingTwoPhaseLocking;

	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}