package ca.mcgill.sel.aspectoptima.aspects.transaction;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;

@Target( { ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface TransactionParticipantClass {
	UpdateStrategy updateStrategy();

	ConcurrencyControl concurrencyControl();

	boolean nested();
}