package ca.mcgill.sel.aspectoptimaomtt.aspects.openmultithreadedtransaction;

import ca.mcgill.sel.aspectoptima.aspects.transaction.TransactionParticipantDeferringTwoPhaseLockingNested;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface OMTTParticipantDeferringTwoPhaseLockingNested extends OMTTParticipantDeferringTwoPhaseLocking, TransactionParticipantDeferringTwoPhaseLockingNested {
	// public method signatures from structural view
	// empty
}

aspect OMTTParticipantDeferringTwoPhaseLockingNestedAspect {
	// bind annotations to mandatory instantiation parameter interfaces	
	declare parents : @OMTTParticipantClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.TWOPHASELOCKING, nested = true) * implements OMTTParticipantDeferringTwoPhaseLockingNested;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}