package ca.mcgill.sel.aspectoptimaomtt.aspects.openmultithreadedtransaction;

import ca.mcgill.sel.aspectoptima.aspects.transaction.TransactableDeferringTwoPhaseLocking;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface OMTTransactableDeferringTwoPhaseLocking extends OMTTransactable, TransactableDeferringTwoPhaseLocking {
	// public method signatures from structural view
	// empty
}

aspect OMTTransactableDeferringTwoPhaseLockingAspect {
	// bind annotations to mandatory instantiation parameter interfaces	
	declare parents : @OMTTransactableClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.TWOPHASELOCKING) * implements OMTTransactableDeferringTwoPhaseLocking;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}