package ca.mcgill.sel.aspectoptimaomtt.example.travelagency;

import static org.junit.Assert.assertEquals;

import java.util.Calendar;

import org.junit.Test;

public class TravelAgencyTest {

	@Test
	public void testSuccessfull() {
		TravelAgency travelAgency = new TravelAgency();
		int remainingSeats = travelAgency.flightBroker.remainingSeats;
		travelAgency.bookTravel("Montreal", "Paris", Calendar.getInstance());
		int newRemainingSeats = travelAgency.flightBroker.remainingSeats;
		assertEquals(remainingSeats, newRemainingSeats + 1);
	}
	
	@Test
	public void testFail() {
		TravelAgency travelAgency = new TravelAgency();
		int remainingSeats = travelAgency.flightBroker.remainingSeats;
		travelAgency.bookTravel("Montreal", "Paris", Calendar.getInstance());
		int newRemainingSeats = travelAgency.flightBroker.remainingSeats;
		assertEquals(remainingSeats, newRemainingSeats);
	}
}
