package ca.mcgill.sel.aspectoptima;

aspect PrecedenceAspect {
	// re-use induced precedence
	declare precedence : ca.mcgill.sel.aspectoptima.aspects.transaction.*, 
	ca.mcgill.sel.aspectoptima.aspects.recovering.*, 
	ca.mcgill.sel.aspectoptima.aspects.outcomeaware.*,
	ca.mcgill.sel.aspectoptima.conflictresolutions.checkpointingnested.*,
	ca.mcgill.sel.aspectoptima.aspects.checkpointing.*, 
	ca.mcgill.sel.aspectoptima.aspects.checkpointable.*, 
	ca.mcgill.sel.aspectoptima.aspects.copyable.*, 
	ca.mcgill.sel.aspectoptima.conflictresolutions.nestedtwophaselocking.*,
	ca.mcgill.sel.aspectoptima.aspects.twophaselocking.*, 
	ca.mcgill.sel.aspectoptima.aspects.lockable.*, 
	ca.mcgill.sel.aspectoptima.aspects.optimisticvalidation.*, 
	ca.mcgill.sel.aspectoptima.aspects.deferring.*, 
	ca.mcgill.sel.aspectoptima.conflictresolutions.nestedtracing.*,
	ca.mcgill.sel.aspectoptima.aspects.tracing.*,
	ca.mcgill.sel.aspectoptima.conflictresolutions.deferrablenested.*,
	ca.mcgill.sel.aspectoptima.aspects.deferrable.*, 
	ca.mcgill.sel.aspectoptima.aspects.traceable.*, 
	ca.mcgill.sel.aspectoptima.aspects.accessclassified.*, 
	ca.mcgill.sel.aspectoptima.aspects.nested.*, 
	ca.mcgill.sel.aspectoptima.aspects.context.*;
}