package ca.mcgill.sel.aspectoptima.aspects.outcomeaware;

import ca.mcgill.sel.aspectoptima.aspects.context.Participant;

public interface OutcomeControllingParticipant extends Participant {
	// public method signatures from structural view
	void voteAndLeaveContext(Outcome v);
}

aspect OutcomeControllingParticipantAspect {
	// bind annotations to mandatory instantiation parameters
	declare parents : @OutcomeControllingParticipantClass * implements OutcomeControllingParticipant;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	public void OutcomeControllingParticipant.voteAndLeaveContext(Outcome v) {
		/* FIXME throw exception if state != working */
		OutcomeAwareContext context = (OutcomeAwareContext) this.getContext();
		context.setOutcome(v);
		this.leaveContext();
	}
}