package ca.mcgill.sel.aspectoptima.aspects.recovering;

import ca.mcgill.sel.aspectoptima.aspects.checkpointing.Checkpointed;

public interface RecoverableCheckpointing extends Recoverable, Checkpointed {
	// public method signatures from structural view
	// empty
}

aspect RecoverableCheckpointingAspect {
	// bind annotations to mandatory instantiation parameters
	declare parents : @RecoverableClass(UpdateStrategy.CHECKPOINTING) * implements RecoverableCheckpointing;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}
