package ca.mcgill.sel.aspectoptima.aspects.transaction;

import ca.mcgill.sel.aspectoptima.aspects.optimisticvalidation.OptimisticallyValidated;
import ca.mcgill.sel.aspectoptima.aspects.recovering.RecoverableDeferring;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface TransactableDeferringOptimisticValidation  extends Transactable, RecoverableDeferring, OptimisticallyValidated {
	// public method signatures from structural view
	// empty
}

aspect TransactableDeferringOptimisticValidationAspect {
	// bind annotations to mandatory instantiation parameters
	declare parents : @TransactableClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.OPTIMISTICVALIDATION) * implements TransactableDeferringOptimisticValidation;

	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}
