package ca.mcgill.sel.aspectoptima.aspects.transaction;

import ca.mcgill.sel.aspectoptima.aspects.nested.NestedParticipant;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;

public interface TransactionParticipantDeferringOptimisticValidationNested extends TransactionParticipantDeferringOptimisticValidation, NestedParticipant {
	// public method signatures from structural view
	// empty
}

aspect TransactionParticipantDeferringOptimisticValidationNestedAspect {
	// bind annotations to mandatory instantiation parameters	
	declare parents : @TransactionParticipantClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.OPTIMISTICVALIDATION, nested = true) * implements TransactionParticipantDeferringOptimisticValidationNested;

	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}