package ca.mcgill.sel.aspectoptima.test;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import ca.mcgill.sel.aspectoptima.aspects.copyable.CopyableClass;

@CopyableClass
public class CopyableTest {
	int a;
	int b;
	
	@Test
	public void test() {
		CopyableTest test = new CopyableTest();
		test.a = 1;
		test.b = 2;
		CopyableTest copy = (CopyableTest) test.copy();
		copy.a = 3;
		copy.b = 4;
		assertEquals(1, test.a);
		assertEquals(2, test.b);
		test.replaceStateWith(copy);
		assertEquals(3, test.a);
		assertEquals(4, test.b);
	}
}
