package ca.mcgill.sel.aspectoptimaomtt.aspects.openmultithreadedtransaction;

import ca.mcgill.sel.aspectoptima.aspects.transaction.TransactionParticipantCheckpointingTwoPhaseLocking;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface OMTTParticipantCheckpointingTwoPhaseLocking extends OMTTParticipant, TransactionParticipantCheckpointingTwoPhaseLocking {
	// public method signatures from structural view
	// empty
}

aspect OMTTParticipantCheckpointingTwoPhaseLockingAspect {
	// bind annotations to mandatory instantiation parameter interfaces	
	declare parents : @OMTTParticipantClass(updateStrategy = UpdateStrategy.CHECKPOINTING, concurrencyControl = ConcurrencyControl.TWOPHASELOCKING, nested = false) * implements OMTTParticipantCheckpointingTwoPhaseLocking;
		
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}