package ca.mcgill.sel.aspectoptimaomtt.aspects.openmultithreadedtransaction;

import ca.mcgill.sel.aspectoptima.aspects.transaction.TransactionParticipantDeferringOptimisticValidation;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface OMTTParticipantDeferringOptimisticValidation extends OMTTParticipant, TransactionParticipantDeferringOptimisticValidation {
	// public method signatures from structural view
	// empty
}

aspect OMTTParticipantDeferringOptimisticValidationAspect {
	// bind annotations to mandatory instantiation parameter interfaces	
	declare parents : @OMTTParticipantClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.OPTIMISTICVALIDATION, nested = false) * implements OMTTParticipantDeferringOptimisticValidation;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}