package ca.mcgill.sel.aspectoptimaomtt.aspects.openmultithreadedtransaction;

import ca.mcgill.sel.aspectoptima.aspects.transaction.TransactionParticipantDeferringOptimisticValidationNested;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface OMTTParticipantDeferringOptimisticValidationNested extends OMTTParticipantDeferringOptimisticValidation, TransactionParticipantDeferringOptimisticValidationNested {
	// public method signatures from structural view
	// empty
}

aspect OMTTParticipantDeferringOptimisticValidationNestedAspect {
	// bind annotations to mandatory instantiation parameter interfaces	
	declare parents : @OMTTParticipantClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.OPTIMISTICVALIDATION, nested = true) * implements OMTTParticipantDeferringOptimisticValidationNested;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}