package ca.mcgill.sel.aspectoptimaomtt.aspects.openmultithreadedtransaction;

import ca.mcgill.sel.aspectoptima.aspects.transaction.TransactionParticipantDeferringTwoPhaseLocking;
import ca.mcgill.sel.aspectoptima.aspects.recovering.UpdateStrategy;
import ca.mcgill.sel.aspectoptima.aspects.transaction.ConcurrencyControl;

public interface OMTTParticipantDeferringTwoPhaseLocking extends OMTTParticipant, TransactionParticipantDeferringTwoPhaseLocking {
	// public method signatures from structural view
	// empty
}

aspect OMTTParticipantDeferringTwoPhaseLockingAspect {
	// bind annotations to mandatory instantiation parameter interfaces	
	declare parents : @OMTTParticipantClass(updateStrategy = UpdateStrategy.DEFERRING, concurrencyControl = ConcurrencyControl.TWOPHASELOCKING, nested = false) * implements OMTTParticipantDeferringTwoPhaseLocking;

	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	// empty
}