package ca.mcgill.sel.aspectoptimaomtt.aspects.terminatable;

import ca.mcgill.sel.aspectoptimaomtt.aspects.pausable.PausableParticipant;

public interface TerminatableParticipant extends PausableParticipant {
	// public method signatures from structural view
	// empty
}

aspect TerminatableParticipantAspect {
	// bind annotations to mandatory instantiation parameter interfaces
	declare parents : @TerminatableParticipantClass * implements TerminatableParticipant;
	
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	void TerminatableParticipant.terminateParticipant() {
		this.leaveContext();
	}
}
