package ca.mcgill.sel.aspectoptimaomtt.conflictresolutions.closablespawnsupporting;

import ca.mcgill.sel.aspectoptimaomtt.aspects.closable.ClosableContext;
import ca.mcgill.sel.aspectoptimaomtt.aspects.spawnsupporting.SpawnSupportingContext;

privileged aspect ClosableContextAspect {
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	boolean around(SpawnSupportingContext target) : execution(boolean ClosableContext.isLastParticipant()) && target(target) {
		boolean result = false;
		int participants = target.getParticipantCount();
		int max = ((ClosableContext) target).getMaxParticipantCount();
		int spawned = target.getSpawnedParticipantCount();
		if (participants - spawned == max) {
			result = true;
		}
		return result;
	}
}