package ca.mcgill.sel.aspectoptimaomtt.conflictresolutions.exitsynchronizingspawnsupporting;

import ca.mcgill.sel.aspectoptimaomtt.aspects.exitsynchronizing.ExitSynchronizingParticipant;
import ca.mcgill.sel.aspectoptimaomtt.aspects.exitsynchronizing.ExitSynchronizingContext;
import ca.mcgill.sel.aspectoptimaomtt.aspects.spawnsupporting.SpawnSupportingContext;
import ca.mcgill.sel.aspectoptimaomtt.aspects.spawnsupporting.SpawnSupportingParticipant;

privileged aspect ExitSynchronizingContextAspect {
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	boolean around(SpawnSupportingContext target) : execution(boolean ExitSynchronizingContext.isLastExitingParticipant()) && target(target) {
		boolean last = false;
		int blocked = ((ExitSynchronizingContext) target).getBlockedParticipantCount();
		int spawned = target.getSpawnedParticipantCount();
		int participants = target.getParticipantCount();
		if (blocked + spawned == participants) {
			last = true;
		}
		return last;
	}
}