package ca.mcgill.sel.aspectoptimaomtt.conflictresolutions.nestedcollaborative;

import ca.mcgill.sel.aspectoptima.aspects.context.Context;
import ca.mcgill.sel.aspectoptimaomtt.aspects.collaborative.CollaborativeParticipant;
import ca.mcgill.sel.aspectoptima.aspects.nested.*;

aspect CollaborativeParticipantAspect {
	// attributes & associations from structural view
	// empty
	
	// declared methods without message views
	// empty

	// methods shown in message views
	boolean around(NestedParticipant target, NestedContext c) : execution(boolean CollaborativeParticipant.isAllowedToJoin(..)) && target(target) && args(c) {
		boolean result = false;
		Context myContext = target.getContext();
		if (myContext == null) {
			result = true;
		}
		else {
			NestedContext parent = c.getParent();
			while(parent != null && !result) {
				if (parent == myContext) {
					result = true;
				}
				parent = parent.getParent();
			}
		}
		return result;
	}
}